/***************************************************************************
 *   Copyright (C) 2006 by Simon Dible   *
 *   s.a.dible@lboro.ac.uk   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef B2KINTERFACESKYPE_H
#define B2KINTERFACESKYPE_H

#include <qobject.h>
#include <qthread.h>
#include <qstring.h>
#include <qmessagebox.h>
#include <unistd.h>

//added from b2k example most probably ain;t needed 
//#include <stdio.h>
//#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <stdio.h>
//end add

class B2kInterface : public QObject, public QThread{
			Q_OBJECT
					
		public:
			B2kInterface(QWidget*);
			~B2kInterface();
			virtual void run();
			bool startUSBDevice();	
			void setStart(bool);
			enum mode {USB=1, PSTN};


		public slots:
		void sendb2kPSTN();
		void sendb2kUSB();
		void startRing();
		void stopRing();

		signals:
		void b2kmessage (QString*);
		void b2kFeedbackMessage (QString*);


		private:
		void processCommands(char*);
		bool started;
		QWidget* parent;
		QString phoneNumber;
		int currentMode;
		//taken from the usbb2k tools app added by simon dible 
    int s, t, len;
		int etat,pid;
    struct sockaddr_un remote;
    char str[100];
		//end addition 

};
#endif

